Page MenuHomePhabricator

moving files does not always move transcodes
Closed, ResolvedPublic

Description

Author: jgerber

Description:
there are some failed transcodes at http://commons.wikimedia.org/wiki/Special:TimedMediaHandler of files that where moved.

transcodes without related video file should not exist.


Version: master
Severity: normal

Details

Reference
bz53480

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:58 AM
bzimport set Reference to bz53480.
Reedy added a comment.Sep 12 2013, 4:47 AM

Sometimes? Do they get moved at all?

James F moved https://commons.wikimedia.org/wiki/File:Visual_Editor_Presentation_2013.webm whilst 2 transcodes were still going, but the other 2 had finished.

The 2 finished ones didn't get moved. Should they have been?

I shot the other 2 that were still running (no point letting them finish)

jgerber wrote:

how was the file moved? on move finished transcodes are deleted and new transcodes are queued for encoding.

But somehow in this case the two transcodes stick around as failed.

The two transcodes listed as failed on https://commons.wikimedia.org/wiki/Special:TimedMediaHandler
are the once that where finished or the once encoding at the time of moving?

Change 83996 had a related patch set uploaded by J:
Use TitleMove hook to cleanup transcodes before move

https://gerrit.wikimedia.org/r/83996

jgerber wrote:

the above change is only useful with https://gerrit.wikimedia.org/r/#/c/83995/ applied to core.

(In reply to comment #2)

how was the file moved?

Special:MovePage

on move finished transcodes are deleted and new transcodes are queued for
encoding.

Yes, the queuing up for transcoding worked, but the two completed transcoded files didn't move with the file, which is this bug, I think. If the in-flight transcodes could also be re-directed, that would be excellent, but a different enhancement.

But somehow in this case the two transcodes stick around as failed.

Indeed.

The two transcodes listed as failed on
https://commons.wikimedia.org/wiki/Special:TimedMediaHandler
are the once that where finished or the once encoding at the time of moving?

Those were the ones that were going at the time of the move; they were killed by Sam.

Change 83996 merged by jenkins-bot:
Use TitleMove hook to cleanup transcodes before move

https://gerrit.wikimedia.org/r/83996

(In reply to comment #4)

the above change is only useful with
https://gerrit.wikimedia.org/r/#/c/83995/
applied to core.

That patch got merged into Core two weeks ago, and patch in comment 3 got also merged ten days ago.

Jan: Can this report be closed as RESOLVED FIXED, or is more work needed?

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:21 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:23 AM